%define rel 1

Name:           podman-compose
Version:        1.5.0
Release:        %mkrel 1
Summary:        Run docker-compose.yml using podman
License:        GPLv2
Group:          System/Configuration
URL:            https://github.com/containers/podman-compose
Source0:	https://github.com/containers/podman-compose/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pyyaml

Requires:       podman

%description
An implementation of docker-compose with podman backend.
The main objective of this project is to be able to run docker-compose.yml
unmodified and rootless.

%prep
%autosetup -p1 -n podman-compose-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

#Drop spurious shebang
sed -i /python3/d %{buildroot}%{python3_sitelib}/podman_compose.py


%files
%doc README.md CONTRIBUTING.md docs/ examples
%license LICENSE
%{_bindir}/podman-compose
%{python3_sitelib}/__pycache__/podman_compose*pyc
%{python3_sitelib}/podman_compose*


%changelog
* Sat Jul 12 2025 joequant <joequant> 1.5.0-1.mga10
+ Revision: 2252952
- update to 1.5.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Mar 13 2025 daviddavid <daviddavid> 1.2.0-2.mga10
+ Revision: 2163667
- rebuild for python 3.13

* Fri Nov 15 2024 joequant <joequant> 1.2.0-1.mga10
+ Revision: 2116021
- fix tag
- update to 1.2.0

* Tue Dec 19 2023 papoteur <papoteur> 1.0.4-0.20230109git.08ffcf6.2.mga10
+ Revision: 2019495
- Mass Rebuild - Python 3.12

* Tue Jan 10 2023 joequant <joequant> 1.0.4-0.20230109git.08ffcf6.1.mga9
+ Revision: 1932079
- imported package podman-compose

